edu.wpi.first.networktables

## Class RpcAnswer

- java.lang.Object
- - edu.wpi.first.networktables.RpcAnswer

-     public final class RpcAnswer
      extends java.lang.Object

  NetworkTables Remote Procedure Call (Server Side).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `call` Call handle.
    `ConnectionInfo` | `conn` Connection that called the RPC.
    `int` | `entry` Entry handle.
    `java.lang.String` | `name` Entry name.
    `java.lang.String` | `params` Call raw parameters.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RpcAnswer(NetworkTableInstance inst, int entry, int call, java.lang.String name, java.lang.String params, ConnectionInfo conn)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `free()` Posts an empty response if one was not previously sent.
    `boolean` | `isValid()` Determines if the native handle is valid.
    `void` | `postResponse(byte[] result)` Post RPC response (return value) for a polled RPC.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### entry

          public final int entry

      Entry handle.

    - #### call

          public int call

      Call handle.

    - #### name

          public final java.lang.String name

      Entry name.

    - #### params

          public final java.lang.String params

      Call raw parameters.

    - #### conn

          public final ConnectionInfo conn

      Connection that called the RPC.

  - ### Constructor Detail

    - #### RpcAnswer

          public RpcAnswer(NetworkTableInstance inst,
                           int entry,
                           int call,
                           java.lang.String name,
                           java.lang.String params,
                           ConnectionInfo conn)

      Constructor. This should generally only be used internally to NetworkTables.
      Parameters:
        `inst` - Instance
        `entry` - Entry handle
        `call` - Call handle
        `name` - Entry name
        `params` - Call raw parameters
        `conn` - Connection info

  - ### Method Detail

    - #### free

          public void free()

      Posts an empty response if one was not previously sent.

    - #### isValid

          public boolean isValid()

      Determines if the native handle is valid.
      Returns:
        True if the native handle is valid, false otherwise.

    - #### postResponse

          public void postResponse(byte[] result)

      Post RPC response (return value) for a polled RPC.
      Parameters:
        `result` - result raw data that will be provided to remote caller